Getting started

Requirements

websockets requires Python ≥ 3.7.

Use the most recent Python release

For each minor version (3.x), only the latest bugfix or security release (3.x.y) is officially supported.

It doesn’t have any dependencies.

Installation

Install websockets with:

$ pip install websockets

Wheels are available for all platforms.

Tutorial

Learn how to build an real-time web application with websockets.

In a hurry?

Check out these examples.